# MapGIS Client for JavaScript API

Cesium MapboxGL Leaflet OpenLayers
API文档

    ﻿import { Zondy } from '../../../base'
    import CTheme from './CTheme'
    import { defaultValue } from '../../../util'

    /**
     * 四色专题图
     * @class module:专题图服务.CFourColorTheme
     * @classdesc 四色专题图
     * @description Zondy.Object.Theme.CFourColorTheme
     * @extends CTheme
     * @param {Object} options 属性键值对。
     * @param {Array} [options.ClrInfo = [25, 57, 89, 121]] 颜色信息 Array<Integer>
     */
    class CFourColorTheme extends CTheme {
      constructor(options) {
        options = defaultValue(options, {})
        super(options)
        /**
         * @private
         * @member Zondy.Object.Theme.CFourColorTheme.prototype.ClrInfo
         * @type {Array}
         * @description 颜色信息,最长为16,优先选择前4种 Array<Integer>
         * @default [25, 57, 89, 121]
         */
        this.ClrInfo =
          options.ClrInfo !== undefined ? options.ClrInfo : [25, 57, 89, 121]

        /**
         * @private
         * @member Zondy.Object.Theme.CFourColorTheme.prototype.Type
         * @type {String}
         * @description 专题图类型,只读属性
         * @default "CFourColorTheme"
         */
        this.Type = 'CFourColorTheme'
      }
    }
    export default CFourColorTheme
    Zondy.Object.Theme.CFourColorTheme = CFourColorTheme

构造函数
成员变量
方法
事件